VDPAU

Macros | Typedefs
Versioning
Core API
Collaboration diagram for Versioning:

## Macros
#define | VDPAU_INTERFACE_VERSION 1
| The VDPAU interface version described by this header file.
#define | VDPAU_VERSION 1
| The VDPAU version described by this header file.

## Typedefs
typedef VdpStatus | VdpGetApiVersion(uint32_t *api_version)
| Retrieve the VDPAU version implemented by the backend.
typedef VdpStatus | VdpGetInformationString(char const **information_string)
| Retrieve an implementation-specific string description of the implementation. This typically includes detailed version information.

## Detailed Description

## Macro Definition Documentation

## ◆ VDPAU_INTERFACE_VERSION

#define VDPAU_INTERFACE_VERSION 1

The VDPAU interface version described by this header file.

This version will only increase if a major incompatible change is made. For example, if the parameters passed to an existing function are modified, rather than simply adding new functions/enumerations), or if the mechanism used to load the backend driver is modified incompatibly. Such changes are unlikely.

This value also represents the DSO version of VDPAU-related shared-libraries.

VDPAU version numbers are simple integers that increase monotonically (typically by value 1).

## ◆ VDPAU_VERSION

#define VDPAU_VERSION 1

The VDPAU version described by this header file.

This version will increase whenever any non-documentation change is made to vdpau.h, or related header files such as vdpau_x11.h. Such changes typically involve the addition of new functions, constants, or features. Such changes are expected to be completely backwards-compatible.

VDPAU version numbers are simple integers that increase monotonically (typically by value 1).

## Typedef Documentation

## ◆ VdpGetApiVersion

typedef VdpStatus VdpGetApiVersion( uint32_t *api_version)

Retrieve the VDPAU version implemented by the backend.

Parameters

  [out] | api_version | The API version.

Returns
  VdpStatus The completion status of the operation.

## ◆ VdpGetInformationString

typedef VdpStatus VdpGetInformationString( char const **information_string)

Retrieve an implementation-specific string description of the implementation. This typically includes detailed version information.

Parameters

  [out] | information_string | A pointer to the information string. Note that this is a statically allocated read-only string. As such, the application must not free the returned pointer. The pointer is valid as long as the implementation is present within the application's address space.

Returns
  VdpStatus The completion status of the operation.

Note that the returned string is useful for information reporting. It is not intended that the application should parse this string in order to determine any information about the implementation.